dbXML API

## com.dbxml.xml.dtsm
Interface DocumentTable

All Known Implementing Classes:
  CompressedTable

public interface DocumentTable

DocumentTable

Method Summary
`DocumentTableEntry` `getEntry(int idx)` getEntry returns the DocumentTableEntry associated with the specified index.
`int` `getEntryCount()` getEntryCount returns the number of entries in this DocumentTable.
`SymbolTable` `getSymbolTable()` getSymbolTable returns the SymbolTable associated with this DocumentTable.
`Value` `getValue(int idx)` getValue returns the Value associated with the specified index.
`int` `getValueCount()` getValueCount returns the number of values in this DocumentTable.
`ValueTableEntry` `getValueEntry(int idx)` getValueEntry returns the ValueTableEntry associated with the specified index.

Method Detail

### getSymbolTable

    public SymbolTable getSymbolTable()

  getSymbolTable returns the SymbolTable associated with this DocumentTable.

  Returns:
    The SymbolTable

### getEntryCount

    public int getEntryCount()

  getEntryCount returns the number of entries in this DocumentTable.

  Returns:
    The DocumentEntry count

### getEntry

    public DocumentTableEntry getEntry(int idx)

  getEntry returns the DocumentTableEntry associated with the specified index.

  Parameters:
    `idx` - The DocumentTableEntry to retrieve
  Returns:
    The DocumentTableEntry

### getValueCount

    public int getValueCount()

  getValueCount returns the number of values in this DocumentTable.

  Returns:
    The Value count

### getValueEntry

    public ValueTableEntry getValueEntry(int idx)

  getValueEntry returns the ValueTableEntry associated with the specified index.

  Parameters:
    `idx` - The ValueTableEntry to retrieve
  Returns:
    The ValueTableEntry

### getValue

    public Value getValue(int idx)

  getValue returns the Value associated with the specified index.

  Parameters:
    `idx` - The Value to retrieve
  Returns:
    The Value

dbXML API

Copyright (c) 2004 The dbXML Group